package net.buildbox.app.MashApp;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity {
    private static final int REQUEST_CODE = 100;	// マッシュルーム互換アプリ呼び出し
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button btn_CallPlugin = (Button) findViewById(R.id.btn_CallPlugin);
        btn_CallPlugin.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				EditText etSampleText = (EditText) findViewById(R.id.et_SampleTXT);
				
				// インテントの設定
				Intent intent = new Intent();
				intent.setAction("com.adamrocker.android.simeji.ACTION_INTERCEPT");
				intent.addCategory("com.adamrocker.android.simeji.REPLACE");
				intent.putExtra("replace_key", etSampleText.getText().toString());
				
				// マッシュルームアプリの呼び出し
				startActivityForResult(intent, REQUEST_CODE);
			}
		});
    }
    
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    	EditText etSampleText = (EditText) findViewById(R.id.et_SampleTXT);
    	
    	if (requestCode == REQUEST_CODE && resultCode == RESULT_OK) {
    		String strRecv = data.getExtras().getString("replace_key");
    		etSampleText.setText(strRecv);
    	}
    }
}